package jcifs.auth.ntlm;

import jcifs.auth.Token;

public interface NtlmToken extends Token {

    public static final int NTLMSSP_NEGOTIATE_UNICODE = 0x00000001;

    public static final int NTLMSSP_NEGOTIATE_OEM = 0x00000002;

    public static final int NTLMSSP_REQUEST_TARGET = 0x00000004;

    public static final int NTLMSSP_NEGOTIATE_SIGN = 0x00000010;

    public static final int NTLMSSP_NEGOTIATE_SEAL = 0x00000020;

    public static final int NTLMSSP_NEGOTIATE_DATAGRAM_STYLE = 0x00000040;

    public static final int NTLMSSP_NEGOTIATE_LM_KEY = 0x00000080;

    public static final int NTLMSSP_NEGOTIATE_NETWARE = 0x00000100;

    public static final int NTLMSSP_NEGOTIATE_NTLM = 0x00000200;

    public static final int NTLMSSP_NEGOTIATE_OEM_DOMAIN_SUPPLIED =
            0x00001000;

    public static final int NTLMSSP_NEGOTIATE_OEM_WORKSTATION_SUPPLIED =
            0x00002000;

    public static final int NTLMSSP_NEGOTIATE_LOCAL_CALL = 0x00004000;

    public static final int NTLMSSP_NEGOTIATE_ALWAYS_SIGN = 0x00008000;

    public static final int NTLMSSP_TARGET_TYPE_DOMAIN = 0x00010000;

    public static final int NTLMSSP_TARGET_TYPE_SERVER = 0x00020000;

    public static final int NTLMSSP_TARGET_TYPE_SHARE = 0x00040000;

    public static final int NTLMSSP_NEGOTIATE_NTLM2 = 0x00080000;

    public static final int NTLMSSP_REQUEST_INIT_RESPONSE = 0x00100000;

    public static final int NTLMSSP_REQUEST_ACCEPT_RESPONSE = 0x00200000;

    public static final int NTLMSSP_REQUEST_NON_NT_SESSION_KEY = 0x00400000;

    public static final int NTLMSSP_NEGOTIATE_TARGET_INFO = 0x00800000;

    public static final int NTLMSSP_NEGOTIATE_128 = 0x20000000;

    public static final int NTLMSSP_NEGOTIATE_KEY_EXCH = 0x40000000;

    public int getFlags();

    public void setFlags(int flags);

    public boolean getFlag(int flag);

    public void setFlag(int flag, boolean value);

}
